<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CBR_Extractor">
    <refnamediv>
        <refname>CBR_Extractor</refname>
        <refpurpose>CBR_Extractor Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/CBR_Extractor.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CBR_Extractor">
        <title>Description</title>
        <para>
            Extract scalar signal out of signal vector
        </para>
    </refsection>
    <refsection id="Palette_CBR_Extractor">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Blocks_pal">Blocks - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/CBR_Extractor_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">index [-] : Index of output signal (positive integer &lt;= nin)</emphasis>
                </para>
                <para> Properties : Type 'intvec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">nin [-] : Number of inputs</emphasis>
                </para>
                <para> Properties : Type 'intvec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CBR_Extractor">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'u'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'y'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'index'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> int32(1)
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'nin'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> int32(1)
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CBR_Extractor">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CBR_Extractor.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CBR_Extractor">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Coselica.Blocks.Routing.Extractor in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
